<?php

namespace Shop\Domain\ImageDefault\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
* Description of ImageDefault
*
* @author Diamond Code Generator
*/
interface ImageDefaultCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{

    /**
     * @return int|null
     */
    public function getFilterByCategoryId():?int;

    /**
     * @param int|null $categoryId
     * @return mixed
     */
    public function setFilterByCategoryId(?int $categoryId);

    /**
     * @return int|null
     */
    public function getFilterByBrandId():?int;

    /**
     * @param int|null $brandId
     * @return mixed
     */
    public function setFilterByBrandId(?int $brandId);

}           